aboutsummaryrefslogtreecommitdiffstats
path: root/tests/dpdk/dpdk_scripts/install_dpdk.sh
diff options
context:
space:
mode:
authorPeter Mikus <pmikus@cisco.com>2018-06-08 05:59:48 +0000
committerTibor Frank <tifrank@cisco.com>2018-06-08 10:41:46 +0000
commitd947e9de7ba6641145f00bece0ff61a4ef48d804 (patch)
tree5cb47cf6b011a4d65119f8652ab2b8cfe03a99ef /tests/dpdk/dpdk_scripts/install_dpdk.sh
parent28b344a6ade7624278835cff242b3e0c9d891346 (diff)
CSIT-1114 Add DPDK download to bootstrap
- Add downloading artifacts to bootstrap to be able to use latest dpdk version Change-Id: I5f07e8207780b81ad85b6053db99639c47448409 Signed-off-by: Peter Mikus <pmikus@cisco.com>
Diffstat (limited to 'tests/dpdk/dpdk_scripts/install_dpdk.sh')
-rwxr-xr-xtests/dpdk/dpdk_scripts/install_dpdk.sh14
1 files changed, 5 insertions, 9 deletions
diff --git a/tests/dpdk/dpdk_scripts/install_dpdk.sh b/tests/dpdk/dpdk_scripts/install_dpdk.sh
index 57085f3591..4fcbf080d9 100755
--- a/tests/dpdk/dpdk_scripts/install_dpdk.sh
+++ b/tests/dpdk/dpdk_scripts/install_dpdk.sh
@@ -15,24 +15,20 @@ else
MACHINE="native"
fi
-DPDK_VERSION=dpdk-18.02
-DPDK_DIR=${DPDK_VERSION}
-DPDK_PACKAGE=${DPDK_DIR}.tar.xz
+DPDK_DIR=dpdk
ROOTDIR=/tmp/openvpp-testing
PWDDIR=$(pwd)
-# Download the DPDK package
cd ${ROOTDIR}
-wget "fast.dpdk.org/rel/${DPDK_PACKAGE}" || \
- { echo "Failed to download $DPDK_PACKAGE"; exit 1; }
-tar xJvf ${DPDK_PACKAGE} || \
- { echo "Failed to extract $DPDK_PACKAGE"; exit 1; }
+mkdir ${DPDK_DIR}
+tar -xvf dpdk*.tar.xz --strip=1 --directory dpdk || \
+ { echo "Failed to extract DPDK"; exit 1; }
# Compile the DPDK
cd ./${DPDK_DIR}
sudo sed -i 's/^CONFIG_RTE_LIBRTE_I40E_16BYTE_RX_DESC=n/CONFIG_RTE_LIBRTE_I40E_16BYTE_RX_DESC=y/g' ./config/common_base
make install T=${ARCH}-${MACHINE}-linuxapp-gcc -j || \
- { echo "Failed to compile $DPDK_VERSION"; exit 1; }
+ { echo "Failed to compile DPDK"; exit 1; }
cd ${PWDDIR}
# Compile the l3fwd